%define with_postgresql 0

Name:          clisp
Version:       2.49.93
Release:       1mamba
Summary:       Common Lisp (ANSI CL) implementation
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://clisp.cons.org/
Source:        http://downloads.sourceforge.net/sourceforge/clisp/%{name}-%{version}.tar.bz2
Source1:       clisp-autoupdate
Patch0:        %{name}-2.49-db-5.1.patch
Patch1:        clisp-2.49-glibc-2.17-1.patch
Patch2:        clisp-2.49-glibc-2.17-2.patch
Patch3:        clisp-2.49-hostname.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffcall-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: libsigsegv-devel
## AUTOBUILDREQ-END
BuildRequires: mercurial
BuildRequires: gettext-devel >= 0.14.4
%if %with_postgresql
BuildRequires: postgresql-devel >= 8.0
%endif
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Common Lisp is a high-level, general-purpose programming language.
GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe University and Michael Stoll of Munich University, both in Germany.
It mostly supports the Lisp described in the ANSI Common Lisp standard.

GNU CLISP includes an interpreter, a compiler, a debugger, a large subset of CLOS, a foreign language interface and a socket interface.
An X11 interface is available through CLX, Garnet, CLUE/CLIO.
GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.

%package devel
Summary:        Development files for CLISP
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Common Lisp is a high-level, general-purpose programming language.
GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe University and Michael Stoll of Munich University, both in Germany.
It mostly supports the Lisp described in the ANSI Common Lisp standard.

GNU CLISP includes an interpreter, a compiler, a debugger, a large subset of CLOS, a foreign language interface and a socket interface.
An X11 interface is available through CLX, Garnet, CLUE/CLIO.
GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.

This package contains files necessary for linking CLISP.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p0

%build
sed -i -e 's|^  make check$||' configure
# setting CFLAGS breaks the build
#CFLAGS="%{optflags}" \
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --fsstnd=openmamba \
   --with-dynamic-ffi \
   --with-module=berkeley-db \
   --with-module=clx/new-clx \
   --with-module=i18n \
   --with-module=pcre \
%if %with_postgresql
   --with-module=postgresql \
%endif
   --with-module=rawsock \
   --with-module=regexp \
   --with-module=syscalls \
   --with-module=zlib \
   --with-module=bindings/glibc \
   --with-readline \
   build \
   CC=%{_host}-gcc

#   --build %{_host} \
#   --with-module=wildcard \

cd build
make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
cd build
%makeinstall docdir=%{_docdir}/%{name}-%{version} LN_HARD="ln -s"

# remove unpackaged files
rm -f %{buildroot}%{_docdir}/clisp-%{version}/doc/clisp.{dvi,1,ps}

%{find_lang} %{name}
%{find_lang} %{name}low
cat %{name}low.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f build/%{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%{_datadir}/vim/vimfiles/after/syntax/lisp.vim
%{_datadir}/emacs/site-lisp/*.el
%{_datadir}/emacs/site-lisp/*.lisp
%dir %{_libdir}/clisp-%{version}+
%dir %{_libdir}/clisp-%{version}+/base
%{_libdir}/clisp-%{version}+/base/lispinit.mem
%{_libdir}/clisp-%{version}+/base/lisp.run
%{_libdir}/clisp-%{version}+/data
%{_libdir}/clisp-%{version}+/dynmod
%{_mandir}/man1/*
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*

%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %{_bindir}/clisp-link
%{_libdir}/clisp-%{version}+/base/*.a
%{_libdir}/clisp-%{version}+/base/*.o
%{_libdir}/clisp-%{version}+/base/*.h
%{_libdir}/clisp-%{version}+/base/makevars
%{_libdir}/clisp-%{version}+/berkeley-db
%{_libdir}/clisp-%{version}+/bindings/glibc
%{_libdir}/clisp-%{version}+/build-aux
%{_libdir}/clisp-%{version}+/clx
%{_libdir}/clisp-%{version}+/linkkit
%{_libdir}/clisp-%{version}+/pcre
%{_libdir}/clisp-%{version}+/rawsock
#%{_libdir}/clisp-%{version}+/wildcard
%{_libdir}/clisp-%{version}+/zlib
%{_datadir}/aclocal/clisp.m4

%changelog
* Sun Dec 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49.93-1mamba
- update to 2.49.93

* Sat Aug 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49-2mamba
- rebuilt with db 5.1 (added patch)

* Wed Aug 18 2010 Automatic Build System <autodist@mambasoft.it> 2.49-1mamba
- automatic update by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 2.48-1mamba
- automatic update by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.47-1mamba
- automatic update by autodist

* Wed Oct 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.40-1qilnx
- update to version 2.40 by autospec

* Wed Aug 31 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.35-1qilnx
- update to version 2.35 by autospec

* Wed Aug 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.34-1qilnx
- package created by autospec
